summaryrefslogtreecommitdiffstats
path: root/abs/core/LinHES-config/systemconfig.sh
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2011-08-04 17:35:38 (GMT)
committerJames Meyer <james.meyer@operamail.com>2011-08-04 17:35:38 (GMT)
commit24dae363a3bc25af8d072b2215eecb11777da049 (patch)
tree2e602685381e0e272a1d91ce467a452eeed09617 /abs/core/LinHES-config/systemconfig.sh
parent8485eec6bfa435f6bfc84f8fce88586795742467 (diff)
downloadlinhes_pkgbuild-24dae363a3bc25af8d072b2215eecb11777da049.zip
linhes_pkgbuild-24dae363a3bc25af8d072b2215eecb11777da049.tar.gz
linhes_pkgbuild-24dae363a3bc25af8d072b2215eecb11777da049.tar.bz2
linhes-config: remove larch packages after system install & remove larch from pacman.conf
mv_install.py: exit if parted is not found
Diffstat (limited to 'abs/core/LinHES-config/systemconfig.sh')
-rwxr-xr-xabs/core/LinHES-config/systemconfig.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/abs/core/LinHES-config/systemconfig.sh b/abs/core/LinHES-config/systemconfig.sh
index 218f705..dce8c74 100755
--- a/abs/core/LinHES-config/systemconfig.sh
+++ b/abs/core/LinHES-config/systemconfig.sh
@@ -10,6 +10,17 @@ echo "----------------------start of systemconfig $@ ----------------------"
. $MV_ROOT/bin/networkconfig.sh
postfix=`cat ${BASE}/usr/local/share/mythtv/.releasetype`
+for i in larch liblarch larch-profiles larch-live
+do
+ pacman -Q $i
+ if [ $? == 0 ]
+ then
+ pacman -R $i --noconfirm
+ fi
+done
+
+ sed -i '/larch/d' /etc/pacman.conf
+
systemconfig.py -m $@
rc=$?
echo "systemconfig.py exit code $rc"